MyGUI_Prerequest.h File Reference
`#include "MyGUI_Platform.h"`
`#include "MyGUI_DeprecatedTypes.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI

## Macros

#define | MYGUI_DEFINE_VERSION(major, minor, patch)
#define | MYGUI_VERSION_MAJOR 3
#define | MYGUI_VERSION_MINOR 4
#define | MYGUI_VERSION_PATCH 3
#define | MYGUI_VERSION MYGUI_DEFINE_VERSION(MYGUI_VERSION_MAJOR, MYGUI_VERSION_MINOR, MYGUI_VERSION_PATCH)

## Macro Definition Documentation

## MYGUI_DEFINE_VERSION

#define MYGUI_DEFINE_VERSION | ( |  | major,
|  |  | minor,
|  |  | patch )

Value:
((major << 16) | (minor << 8) | patch)

Definition at line 12 of file MyGUI_Prerequest.h.

## MYGUI_VERSION

#define MYGUI_VERSION MYGUI_DEFINE_VERSION(MYGUI_VERSION_MAJOR, MYGUI_VERSION_MINOR, MYGUI_VERSION_PATCH)

Definition at line 64 of file MyGUI_Prerequest.h.

## MYGUI_VERSION_MAJOR

#define MYGUI_VERSION_MAJOR 3

Definition at line 60 of file MyGUI_Prerequest.h.

## MYGUI_VERSION_MINOR

#define MYGUI_VERSION_MINOR 4

Definition at line 61 of file MyGUI_Prerequest.h.

## MYGUI_VERSION_PATCH

#define MYGUI_VERSION_PATCH 3

Definition at line 62 of file MyGUI_Prerequest.h.